public interface DListInt {

    /** Restituisce il numero di elementi nella lista */
    public int size();

    /** Restituisce un valore che dice se la lista e' vuota */
    public boolean isEmpty();

    /** Restituisce il primo nodo della lista e lancia 
     * un'eccezione del tipo specificato se la lista e' vuota */
    public Nodo getFirst() throws IllegalStateException;

    /** Restituisce l'ultimo nodo della lista e lancia 
     * un'eccezione del tipo specificato se la lista e' vuota */
    public Nodo getLast() throws IllegalStateException;

   /** Restituisce il nodo che precede il nodo v e lancia 
     * un'eccezione del tipo specificato se v e' l'header */
    public Nodo getPrev(Nodo v) throws IllegalArgumentException;

   /** Restituisce il nodo dopo il nodo v e lancia 
     * un'eccezione del tipo specificato se v e' il trailer */
    public Nodo getNext(Nodo v) throws IllegalArgumentException;

    /** Inserisce il nodo v all'inizio della lista e incrementa 
     * il numero di elementi della lista */
    public void addFirst(Nodo v);

    /** Inserisce il nodo v alla fine della lista e incrementa 
     * di uno il numero di elementi della lista */
    public void addLast(Nodo v);

    /** Rimuove il nodo v dalla lista e decrementa 
     * di uno il numero di elementi della lista */
    public void remove(Nodo v);
}